org.apache.ignite.yarn

## Class IgniteProvider

- java.lang.Object
- - org.apache.ignite.yarn.IgniteProvider

-     public class IgniteProvider
      extends Object

  Downloads and stores Ignite release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DOWNLOAD_LINK`
    `static Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgniteProvider(ClusterProperties props, org.apache.hadoop.fs.FileSystem fs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.fs.Path` | `getIgnite()`
    `org.apache.hadoop.fs.Path` | `getIgnite(String igniteUrl)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          public static final Logger log

    - #### DOWNLOAD_LINK

          public static final String DOWNLOAD_LINK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IgniteProvider

          public IgniteProvider(ClusterProperties props,
                                org.apache.hadoop.fs.FileSystem fs)

      Parameters:
        `props` - Cluster properties.
        `fs` - Hadoop file system.

  - ### Method Detail

    - #### getIgnite

          public org.apache.hadoop.fs.Path getIgnite()
                                              throws Exception

      Returns:
        Path to current Ignite release.
      Throws:
        `Exception`

    - #### getIgnite

          public org.apache.hadoop.fs.Path getIgnite(String igniteUrl)
                                              throws Exception

      Parameters:
        `igniteUrl` - Download link.
      Returns:
        Ignite.
      Throws:
        `Exception`

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022